❖ MatchMove Banking API Specifications

Sections

Theme switcher

Initiate KYC process

Header Parameters

X-Auth-User-IDstring Required

The matchmove issued user_id for which the request is being made

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

Body Parameters

provider_idstring

Fetched from the list of supported KYC/KYB providers of a program. If not provided, it will retrieve whatever is the default KYC/KYB set.

verification_modestring

Specifies the verification flow to be initiated. Depending on the user type, the allowed values can be retrieved from the corresponding verification modes API:

User Type Verification Modes API
Individual GET /{program_code}/v2/users/authentications/documents/verification_modes
redirect_urlstring

URL the user is redirected to after completing the verification flow. If not provided, no redirection will happen.

redirect_modestring

Controls how the redirect to the verification flow is triggered. Use auto to redirect the user automatically, or button to require the user to click a button before being redirected. If not provided, default is auto.

Enum values:
autobutton
redirect_textstring

Label displayed on the redirect button when redirect_mode is button. If not provided, the default text will be Close.

Response

200
Object

OK

Response Attributes

linksarray Required

Array of Web SDK links and metadata for initiating the verification flow

Max items
1
successboolean Required

Indicates whether the verification process was successfully initiated

user_idstring Required

Unique identifier of the user / associated party

verification_idstring Required

Unique identifier of the verification process

verification_modestring

Verification mode for the current verification session.

400
Object

Bad Request

Code

Description

invalid_model

Validation errors

alreadycompletedverification

The profile has already completed the kyc verification

stillinprogress_verification

The profile has an ongoing check for kyc verification

pending_verification

The profile is already pending for confirming verification

verificationrequestrejected

Invalid verification mode specified

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized

Code

Description

invalid_tenant

Access denied due to invalid program_code on header

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden

Code

Description

userstatusrestricted

User data cannot be modified while CDD verification is in progress

entityverificationprerequisites_incomplete

The prerequisites to initiate verification for this entity have not been satisfied. Please initiate verification for the parent entity before proceeding

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

422
Object

Unprocessable Entity

Code

Description

usereligibilityfailed

User is not eligible for the requested verification mode

verificationmodechangenotallowed

verification mode cannot be changed while verification is in progress

verificationstatusrestricted

Verification data cannot be modified once CDD verification has started

Response Attributes

idstring

Unique error identifier

statusnumber

HTTP status code

codestring

Error code identifier

titlestring

Error title

detailstring

Detailed error description

sourcearray

List of field-specific error sources

Max items
100
requirementsobject
timestampstring

Error timestamp

500
Object

Internal Server Error

Code

Description

requestfatalinternal

Fatal service error

internalservererror

Something went wrong when processing your request

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Bad Gateway

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

Service Unavailable

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Gateway Timeout

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

POST

/

Select
1

Response

Was this section helpful?